module type S = sig

module Series = Spacetime.Series

(*
module Series :
sig
  type t
  val create : path:string -> t
  val save_event : ?time:float -> t -> event_name:string -> unit
  val save_and_close : ?time:float -> t -> unit
end
*)
(** @since 4.04.0: module Series = Spacetime.Series
 *)


module Snapshot = Spacetime.Snapshot

(*
module Snapshot : sig val take : ?time:float -> Series.t -> unit end
*)
(** @since 4.04.0: module Snapshot = Spacetime.Snapshot
 *)

val enabled : bool
(** @since 4.05.0: val enabled : bool *)

val save_event_for_automatic_snapshots : event_name:string -> unit
(** @since 4.04.0:
    val save_event_for_automatic_snapshots : event_name:string -> unit *)

end
